Skip to main content
POST
/
api
/
decks
/
{deckId}
/
presentations
Create a presentation
curl --request POST \
  --url https://app.demand-iq.com/api/decks/{deckId}/presentations \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "homeowner": {
    "first_name": "<string>",
    "address": "<string>",
    "city": "<string>",
    "country": "US",
    "last_name": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>"
  },
  "voice_settings": {},
  "language_settings": {},
  "price_inputs": {},
  "measurement_strategy": "manual"
}
'
{
  "deck_presentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "status": "not_started"
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Body

application/json
homeowner
object
required
voice_settings
object
language_settings
object
price_inputs
object

Values for deck-level price variables (used to evaluate formulas)

measurement_strategy
enum<string>
default:manual
Available options:
manual,
auto

Response

Presentation created

deck_presentation_id
string<uuid>
url
string<uri>

Shareable presentation URL

status
enum<string>
Available options:
not_started,
pending,
processing,
ready,
failed